Package org.apache.tapestry5.internal.parser

# Class StartComponentToken

java.lang.Object
org.apache.tapestry5.ioc.BaseLocatable
org.apache.tapestry5.internal.parser.TemplateToken
org.apache.tapestry5.internal.parser.StartComponentToken

All Implemented Interfaces:
  `Locatable`

public class StartComponentToken extends TemplateToken
The start element of a component within the template. Will be followed by a series of `AttributeToken`s for any attributes (outside of id and type), and eventually will be balanced by an `EndElementToken`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartComponentToken(String elementName, String id, String type, String mixins, Location location)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComponentType()`
  Returns a non-blank component type if one was provided in the template.
  `String`
  `getElementName()`
  Returns the element for this component.
  `String`
  `getId()`
  Returns a non-blank id if one was provided in the template.
  `String`
  `getMixins()`
  Returns the list of mixins for this component instance, or null for no mixins.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.tapestry5.internal.parser.TemplateToken

  `getTokenType`

  ### Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable

  `getLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StartComponentToken

    public StartComponentToken(String elementName, String id, String type, String mixins, Location location)
    Parameters:
      `elementName` - the name of the element from which this component was parsed, or null if the element was the t:comp placeholder
      `id` - the id of the component (may be null for anonymous components)
      `type` - the type of component (may be null if the component type is specified outside the template)
      `mixins` - a comma-separated list of mixins (possibly null)
      `location` - the location within the template at which the element was parsed

- ## Method Details

  - ### getElementName

    public String getElementName()
    Returns the element for this component. When using the <t:comp> placeholder, this value will be null. When using "invisible instrumentation", where t:id or t:type attributes are added to existing elements, this is the local name of the element so attached.
    Returns:
      the element name or null

  - ### getId

    public String getId()
    Returns a non-blank id if one was provided in the template. If the id attribute was missing (or the value was blank), returns null.

  - ### getComponentType

    public String getComponentType()
    Returns a non-blank component type if one was provided in the template. If the type attribute was missing (or the value was blank), returns null.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getMixins

    public String getMixins()
    Returns the list of mixins for this component instance, or null for no mixins.